#ifndef CHARSETS_H
#define CHARSETS_H

enum {
	UTF,
	KOI,
	WIN,
	DOS,
	MSD,
	ISO,
	MAC
};

#define N_OF_SETS (MAC+1)

#define DEFAULT_CS KOI


int recode(char* buf, int n, int fromCode, int toCode);
int cs_by_string(char* cs);
char* cs_by_id(int code);
int unicode2char(int unicode, int code);

#endif

