#include <stdlib.h>

#include "common/misc.h"

#include "buffer.h"




Buffer*
newBuffer(int size)
{
	Buffer* buffer;
	if ((buffer = MALLOC(sizeof(Buffer) + size))) {
		buffer->buffer = (char*)(buffer + 1);
		buffer->size = size;
	}
	return buffer;
}

Buffer*
freeBuffer(Buffer* buffer)
{
	return FREE(buffer);
}


